%define lib_major	0
%define libname		%mklibname gdiplus %{lib_major}
%define libnamedev	%mklibname gdiplus -d

Name:		libgdiplus
Version:        6.0.5
Release:	%mkrel 1
Summary:	An Open Source implementation of the GDI+ API
License:	MIT
Group:		System/Libraries
URL:		http://www.mono-project.com/Main_Page
Source0:	http://download.mono-project.com/sources/%{name}/%{name}-%{version}.tar.gz
BuildRequires:	pkgconfig(glib-2.0)
BuildRequires:	pkgconfig(libjpeg)
BuildRequires:	pkgconfig(libexif)
BuildRequires:	pkgconfig(libtiff-4)
BuildRequires:	pkgconfig(libpng)
BuildRequires:	pkgconfig(sm)
BuildRequires:	pkgconfig(xrender)
BuildRequires:	pkgconfig(libxml-2.0)
BuildRequires:	pkgconfig(fontconfig)
BuildRequires:	pkgconfig(cairo)
BuildRequires:	pkgconfig(pango)
BuildRequires:	automake
BuildRequires:	giflib-devel

%description
An Open Source implementation of the GDI+ API, it is part of the Mono 
Project

%package -n	%{libname}
Summary:	An Open Source implementation of the GDI+ API
Group:		System/Libraries
Provides:	%{name} = %{version}-%{release}

%description -n	%{libname}
An Open Source implementation of the GDI+ API.
This is part of the Mono project.

%package -n	%{libnamedev}
Summary:	Development files for libgdiplus
Group:		Development/C
Requires:	%{libname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}

%description -n	%{libnamedev}
This package provides the necessary development libraries to allow
you to develop with libgdiplus.

%prep
%setup -q
%autopatch -p1

%build
autoreconf -vfi
%configure --disable-static
%make_build

%install
%make_install

# we don't want these
find %{buildroot} -name "*.la" -delete

%files -n %{libname}
%license COPYING
%doc NEWS README.md TODO AUTHORS ChangeLog
%{_libdir}/lib*.so.%{lib_major}{,.*}

%files -n %{libnamedev}
%doc ChangeLog
%{_libdir}/pkgconfig/*
%{_libdir}/lib*.so


%changelog
* Fri Jun 26 2020 daviddavid <daviddavid> 6.0.5-1.mga8
+ Revision: 1599363
- new version: 6.0.5

* Tue Feb 18 2020 umeabot <umeabot> 6.0.4-2.mga8
+ Revision: 1538234
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Sun Nov 17 2019 daviddavid <daviddavid> 6.0.4-1.mga8
+ Revision: 1461416
- new version: 6.0.4

* Sun Mar 24 2019 daviddavid <daviddavid> 5.6.1-1.mga7
+ Revision: 1379948
- new version: 5.6.1

* Sun Nov 04 2018 umeabot <umeabot> 5.6-2.mga7
+ Revision: 1328086
- Mageia 7 Mass Rebuild

* Wed May 23 2018 daviddavid <daviddavid> 5.6-1.mga7
+ Revision: 1231919
- new version: 5.6
- rename and rediff gold patch

* Fri Apr 08 2016 tv <tv> 4.2-1.mga6
+ Revision: 999401
- new release

* Thu Jan 07 2016 luigiwalser <luigiwalser> 3.12-2.mga6
+ Revision: 920402
- rebuild for giflib
- add patch from omdv to fix build with giflib5

* Thu Dec 03 2015 tv <tv> 3.12-1.mga6
+ Revision: 907900
- new release

* Wed Oct 15 2014 umeabot <umeabot> 2.10.9-9.mga5
+ Revision: 749428
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 2.10.9-8.mga5
+ Revision: 681479
- Mageia 5 Mass Rebuild

* Sun Jul 06 2014 wally <wally> 2.10.9-7.mga5
+ Revision: 644142
- add patch to fix build with new freetype
- drop unneeded conflicts

* Sat Oct 19 2013 umeabot <umeabot> 2.10.9-6.mga4
+ Revision: 525871
- Mageia 4 Mass Rebuild
+ matteo <matteo>
- drop --with-cairo option for configure (not valid anymore)

* Sun Jun 02 2013 fwang <fwang> 2.10.9-4.mga4
+ Revision: 434895
- rebuild for new libpng

* Sat Jan 12 2013 umeabot <umeabot> 2.10.9-3.mga3
+ Revision: 357168
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jan 08 2013 cjw <cjw> 2.10.9-2.mga3
+ Revision: 341537
- patch3: fix build with automake 1.13
- drop non-working and unneeded configure change

* Sat Sep 01 2012 matteo <matteo> 2.10.9-1.mga3
+ Revision: 287047
- new version

* Fri Dec 23 2011 fwang <fwang> 2.10-3.mga2
+ Revision: 186479
- rebuild for new libtiff

* Sun Sep 11 2011 fwang <fwang> 2.10-2.mga2
+ Revision: 142312
- fix link patch
- fix linkage
- add netbsd patch to build with libpng 1.5
- br pango
- more br
- rebuild for new libpng

* Thu Jul 14 2011 fwang <fwang> 2.10-1.mga2
+ Revision: 123960
- new version 2.10

* Sat Jan 15 2011 ahmad <ahmad> 2.8.1-2.mga1
+ Revision: 18120
- drop old/unneeded scriptlets
- imported package libgdiplus


* Thu Dec 23 2010 Götz Waschk <waschk@mandriva.org> 2.8.1-1mdv2011.0
+ Revision: 624034
- update build deps
- update to new version 2.8.1

* Thu Oct 07 2010 Götz Waschk <waschk@mandriva.org> 2.8-1mdv2011.0
+ Revision: 583934
- new version
- drop patch

* Tue Aug 31 2010 Oden Eriksson <oeriksson@mandriva.com> 2.6.7-2mdv2011.0
+ Revision: 574878
- P0: security fix for CVE-2010-1526 (upstream)

* Tue Jul 20 2010 Götz Waschk <waschk@mandriva.org> 2.6.7-1mdv2011.0
+ Revision: 555670
- update to new version 2.6.7

* Wed Apr 28 2010 Götz Waschk <waschk@mandriva.org> 2.6.4-1mdv2010.1
+ Revision: 539980
- update to new version 2.6.4

* Tue Mar 16 2010 Götz Waschk <waschk@mandriva.org> 2.6.2-1mdv2010.1
+ Revision: 521495
- update to new version 2.6.2

* Sun Jan 10 2010 Oden Eriksson <oeriksson@mandriva.com> 2.6-2mdv2010.1
+ Revision: 488776
- rebuilt against libjpeg v8

* Tue Dec 15 2009 Götz Waschk <waschk@mandriva.org> 2.6-1mdv2010.1
+ Revision: 478861
- update to new version 2.6

* Sat Aug 15 2009 Oden Eriksson <oeriksson@mandriva.com> 2.4.2-2mdv2010.0
+ Revision: 416620
- rebuilt against libjpeg v7

* Tue Jun 30 2009 Götz Waschk <waschk@mandriva.org> 2.4.2-1mdv2010.0
+ Revision: 390911
- new version

* Fri Apr 24 2009 Götz Waschk <waschk@mandriva.org> 2.4-1mdv2010.0
+ Revision: 368970
- new version

* Wed Jan 14 2009 Götz Waschk <waschk@mandriva.org> 2.2-1mdv2009.1
+ Revision: 329389
- update to new version 2.2

* Sun Nov 09 2008 Oden Eriksson <oeriksson@mandriva.com> 2.0-2mdv2009.1
+ Revision: 301475
- rebuilt against new libxcb

* Sat Oct 11 2008 Götz Waschk <waschk@mandriva.org> 2.0-1mdv2009.1
+ Revision: 291911
- new version

* Wed Aug 06 2008 Thierry Vignaud <tv@mandriva.org> 1.9-2mdv2009.0
+ Revision: 264803
- rebuild early 2009.0 package (before pixel changes)

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

* Tue Apr 08 2008 Götz Waschk <waschk@mandriva.org> 1.9-1mdv2009.0
+ Revision: 192399
- new version

* Fri Jan 11 2008 Thierry Vignaud <tv@mandriva.org> 1.2.6-2mdv2008.1
+ Revision: 148502
- rebuild
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Thu Dec 13 2007 Götz Waschk <waschk@mandriva.org> 1.2.6-1mdv2008.1
+ Revision: 119270
- new version

  + Thierry Vignaud <tv@mandriva.org>
    - do not package big ChangeLog

* Thu Aug 30 2007 Götz Waschk <waschk@mandriva.org> 1.2.5-1mdv2008.0
+ Revision: 75604
- new version
- new devel name
- fix buildrequires

* Wed May 16 2007 Götz Waschk <waschk@mandriva.org> 1.2.4-1mdv2008.0
+ Revision: 27332
- new version
- fix buildrequires


* Wed Feb 07 2007 Götz Waschk <waschk@mandriva.org> 1.2.3-1mdv2007.0
+ Revision: 116980
- new version

* Tue Dec 05 2006 Götz Waschk <waschk@mandriva.org> 1.2.2-1mdv2007.1
+ Revision: 90712
- new version

* Wed Nov 22 2006 Götz Waschk <waschk@mandriva.org> 1.2.1-1mdv2007.1
+ Revision: 86332
- new version

* Fri Nov 10 2006 Götz Waschk <waschk@mandriva.org> 1.2-1mdv2007.1
+ Revision: 80515
- new version

* Tue Oct 17 2006 Götz Waschk <waschk@mandriva.org> 1.1.18-1mdv2007.1
+ Revision: 65576
- Import libgdiplus

* Tue Oct 17 2006 Götz Waschk <waschk@mandriva.org> 1.1.18-1mdv2007.1
- New version 1.1.18

* Thu Aug 31 2006 Götz Waschk <waschk@mandriva.org> 1.1.17-1mdv2007.0
- New release 1.1.17

* Fri Jul 14 2006 Götz Waschk <waschk@mandriva.org> 1.1.16.1-1
- New release 1.1.16.1

* Sat Jul 08 2006 Götz Waschk <waschk@mandriva.org> 1.1.16-1mdv2007.0
- drop patch
- New release 1.1.16

* Sat Jul 01 2006 Götz Waschk <waschk@mandriva.org> 1.1.15-2mdv2007.0
- disable -Werror

* Tue Apr 18 2006 Götz Waschk <waschk@mandriva.org> 1.1.15-1mdk
- fix source URL
- new version

* Tue Apr 04 2006 Götz Waschk <waschk@mandriva.org> 1.1.14-1mdk
- New release 1.1.14

* Thu Mar 30 2006 Götz Waschk <waschk@mandriva.org> 1.1.13.6-1mdk
- New release 1.1.13.6

* Sun Mar 05 2006 Götz Waschk <waschk@mandriva.org> 1.1.13.4-1mdk
- New release 1.1.13.4

* Mon Jan 23 2006 Götz Waschk <waschk@mandriva.org> 1.1.13.2-1mdk
- New release 1.1.13.2

* Wed Jan 11 2006 Götz Waschk <waschk@mandriva.org> 1.1.13-1mdk
- New release 1.1.13

* Mon Dec 19 2005 Götz Waschk <waschk@mandriva.org> 1.1.11-1mdk
- New release 1.1.11
- use mkrel

* Wed Nov 09 2005 Götz Waschk <waschk@mandriva.org> 1.1.10-1mdk
- New release 1.1.10

* Thu Oct 13 2005 Götz Waschk <waschk@mandriva.org> 1.1.9.2-1mdk
- New release 1.1.9.2

* Sat Sep 24 2005 Götz Waschk <waschk@mandriva.org> 1.1.9.1-1mdk
- New release 1.1.9.1

* Sun Sep 11 2005 Götz Waschk <waschk@mandriva.org> 1.1.9-1mdk
- drop patch
- New release 1.1.9

* Fri Sep 02 2005 Götz Waschk <waschk@mandriva.org> 1.1.8-2mdk
- fix buildrequires

* Sat Jun 18 2005 Götz Waschk <waschk@mandriva.org> 1.1.8-1mdk
- source URL
- New release 1.1.8

* Tue May 10 2005 Götz Waschk <waschk@mandriva.org> 1.1.7-1mdk
- New release 1.1.7

* Tue Mar 29 2005 Götz Waschk <waschk@linux-mandrake.com> 1.1.5-1mdk
- New release 1.1.5
- patch included for new glitz

* Thu Dec 09 2004 Goetz Waschk <waschk@linux-mandrake.com> 1.0.5-1mdk
- New release 1.0.5

* Fri Nov 05 2004 Goetz Waschk <waschk@linux-mandrake.com> 1.0.4-1mdk
- New release 1.0.4

* Thu Sep 23 2004 Götz Waschk <waschk@linux-mandrake.com> 1.0.2-1mdk
- fix source URL
- New release 1.0.2

* Thu Aug 12 2004 Götz Waschk <waschk@linux-mandrake.com> 1.0.1-1mdk
- new version

* Fri Jul 02 2004 Götz Waschk <waschk@linux-mandrake.com> 1.0-1mdk
- new version

* Thu Jun 17 2004 Götz Waschk <waschk@linux-mandrake.com> 0.9-1mdk
- new version

* Thu Jun 03 2004 Götz Waschk <waschk@linux-mandrake.com> 0.8-2mdk
- fix buildrequires
- provide libgdiplus in the library package

* Thu Jun 03 2004 Götz Waschk <waschk@linux-mandrake.com> 0.8-1mdk
- new version

* Thu May 06 2004 Götz Waschk <waschk@linux-mandrake.com> 0.5-1mdk
- requires new cairo
- add more buildrequires
- new version

* Thu Apr 22 2004 Götz Waschk <waschk@linux-mandrake.com> 0.2-3mdk
- fix buildrequires

* Thu Apr 22 2004 Götz Waschk <waschk@linux-mandrake.com> 0.2-2mdk
- fix buildrequires

* Tue Apr 20 2004 Götz Waschk <waschk@linux-mandrake.com> 0.2-1mdk
- autoconf 2.5 macro
- fix URL
- new version

